These variables are passed into the database execution function.

export
interface

  DBExec

### Hierarchy

- DBExec

## Index

### Properties

- onFail
- onSuccess
- query
- table
- transactionID
- viewOrAction

## Properties

### onFail

onFail: function

- Defined in index.ts:1448

#### Type declaration

- - (rows: Array<Object>): void

  - #### Parameters

    - ##### rows: Array<Object>

    #### Returns void

### onSuccess

onSuccess: function

- Defined in index.ts:1447

#### Type declaration

- - (rows: Array<Object>, type: string, affectedRows: DBRow[], affectedPKS: any[]): void

  - #### Parameters

    - ##### rows: Array<Object>

    - ##### type: string

    - ##### affectedRows: DBRow[]

    - ##### affectedPKS: any[]

    #### Returns void

### query

query: Array<QueryLine>

- Defined in index.ts:1444

### table

table: string

- Defined in index.ts:1443

### transactionID

transactionID: number

- Defined in index.ts:1446

### viewOrAction

viewOrAction: string

- Defined in index.ts:1445

Generated using TypeDoc